// @flow
import type Board from './game-types';
import type GameState from './game-types';

function render(state: GameState, g: CanvasRenderingContext2D): void {
  var space = g.measureText(state.count + '');
  g.clearRect(100, 100, space.width, 50);
  g.fillText(state.count + '', 100, 100);
}

function update(state: GameState): GameState {
  state.count++;
  return state;
}

function handleKeyboardEvent(ke: KeyboardEvent) {
}

export {render, update};
